Jump to content

Warning: Date_Default_Timezone_Get(): Error After Install


Recommended Posts

Hi I am getting this error after installing the revive latest version:

Warning: date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /Library/WebServer/Documents/joom/revive/variables.php on line 67

 

I have altered my php.ini file but I do not know what to change on the variables.php file.

 

Did anybody encounter the same error? Can someone share his or hers variables.php with the altered settings?

 

Thanks in advance!

Dennis

Link to post
Share on other sites
  • 5 months later...

I just got through commenting out the extension=ixed.5.5.lin because our server's CPU usage went through the roof after I installed that extension to accommodate the VidiX plugin.

 

but after I restarted the server, I went to our Revive adserver and saw the following error message:

 

Warning: date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /home/asianm6/public_html/GAAN/variables.php on line 67

 

I had not changed any time setting.

 

Where do I need to make the change to get rid of this error?

 

Thanks.

Link to post
Share on other sites
  • 5 months later...

Hi, I also get this kind of error. I had it on the version 3.0.1 and I just urgrade to 3.2.2... but still the same.

I also tried to edit timezone in php.ini (I saw a post about this in the forum) - but didn't cancel this recurrent warning.

Here's the exact warning in my logs, any idea ?! thanks per advance. :)

PHP Warning: date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CET/1.0/no DST' instead in /var/www/vhosts/example.com/httpdocs/adserver/www/delivery/lg.php on line 173, referer: http://www.example.com/adserver/www/delivery/afr.php?refresh=10&zoneid=3&cb=&loc=http%3A%2F%2Fwww.example.com%2F

 

Edited by mattheoh
Link to post
Share on other sites
  • 1 year later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...